Package com.rosivanyshyn.utils

# Enum Class MySQLQueryBuilder.LogicalOperation

java.lang.Object
java.lang.Enum<MySQLQueryBuilder.LogicalOperation>
com.rosivanyshyn.utils.MySQLQueryBuilder.LogicalOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<MySQLQueryBuilder.LogicalOperation>`, `Constable`

Enclosing class:
  `MySQLQueryBuilder`

public static enum MySQLQueryBuilder.LogicalOperation extends Enum<MySQLQueryBuilder.LogicalOperation>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EQUAL`
  `GREATER`
  `GREATER_OR_EQUAL`
  `LESS`
  `LESS_OR_EQUAL`
  `NOT_EQUAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOperation()`
  `static MySQLQueryBuilder.LogicalOperation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MySQLQueryBuilder.LogicalOperation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EQUAL

    public static final MySQLQueryBuilder.LogicalOperation EQUAL

  - ### NOT_EQUAL

    public static final MySQLQueryBuilder.LogicalOperation NOT_EQUAL

  - ### GREATER

    public static final MySQLQueryBuilder.LogicalOperation GREATER

  - ### LESS

    public static final MySQLQueryBuilder.LogicalOperation LESS

  - ### GREATER_OR_EQUAL

    public static final MySQLQueryBuilder.LogicalOperation GREATER_OR_EQUAL

  - ### LESS_OR_EQUAL

    public static final MySQLQueryBuilder.LogicalOperation LESS_OR_EQUAL

- ## Method Details

  - ### values

    public static MySQLQueryBuilder.LogicalOperation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MySQLQueryBuilder.LogicalOperation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOperation

    public String getOperation()